package request

type AlibabaWdkMarketingExpirePromotionQueryRequest struct {
	/*
	   店铺id     */
	ShopId *string `json:"shop_id" required:"true" `
	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code" required:"true" `
}

func (s *AlibabaWdkMarketingExpirePromotionQueryRequest) SetShopId(v string) *AlibabaWdkMarketingExpirePromotionQueryRequest {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionQueryRequest) SetSkuCode(v string) *AlibabaWdkMarketingExpirePromotionQueryRequest {
	s.SkuCode = &v
	return s
}

func (req *AlibabaWdkMarketingExpirePromotionQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ShopId != nil {
		paramMap["shop_id"] = *req.ShopId
	}
	if req.SkuCode != nil {
		paramMap["sku_code"] = *req.SkuCode
	}
	return paramMap
}

func (req *AlibabaWdkMarketingExpirePromotionQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
